
<div *ngIf="cardContent.length > 0">

    <table style="width:100%" class="table table-hover">
        <thead>
            <tr>
                <th scope="col">#</th>
                <th scope="col">Livre</th>
                <th scope="col">Quantité</th>
                <th scope="col" class="center">Price</th>
            </tr>
        </thead>


        <tbody>
            <tr *ngFor="let item of cardContent; index as i">
                <td>{{i+1}}</td>
                <td>{{ item.title }}</td>
                <td>{{ item.quantity }}</td>
                <td align="center">{{ (item.price * item.quantity) | number : '2.2' }}</td>
            </tr>
            <tr></tr>
            <tr>
                <td></td>
                <td></td>
                <td>Prix</td>
                <td align="center">{{ totalPrice | number : '2.2' }}</td>
            </tr>
            <tr>
                <td></td>
                <td></td>
                <td>Réduction</td>
                <td align="center">{{ (totalPrice - finalPrice) | number : '2.2' }} </td>
            </tr>
            <tr>
                <td></td>
                <td></td>
                <td>Prix aprés réduction</td>
                <td align="center">{{ finalPrice | number : '2.2' }}</td>
            </tr>
        </tbody>
    </table>

    <p>Pour consulter le service des offres cliquez <a href="{{ urlOffer }}" target="_blank">ici</a></p>

</div>

<div *ngIf="cardContent.length == 0">
    <alert type="warning">
        Votre panier est vide! cliquez <a [routerLink]="['/books']" class="alert-link">ici</a> pour accéder a la liste des livres.
    </alert>
</div>
